
let codigoDocente = ''
let codPer = ''


$(document).ready(function () {
  
	const urlParams = new URLSearchParams(window.location.search);
	const myDni = urlParams.get('dni');

	let json = {
		dniDocente: myDni

	}
	
	$.ajax({		
		url: '../ServletHorario?Accion=verHorarioDocenteDni2',
		type: 'POST',
		dataType: "json",
		data: {
			json: JSON.stringify(json)
		},
		success: function (response, textStatus, jqXHR) {
			//console.log(response);
			codigoDocente = response.codigoDocente
			let array = response.data;
			let options = "<option selected>[SELECCIONE]</option>";
			array.forEach(function (value, index) {
				
				options += `<option value="${value.codigoPeriodo}">${value.nombrePeriodo}</option>`
			});

			$("#cboPeriodo").html(options);
			$("#btnConfirmar").css('display','none');

		}
	}),
	
	
	
	
	
		// ahora vemos el detalle de horario del profesor de acuerdo al codigo docente
		$('#cboPeriodo').on('change', function (event) {
    
		codPer = $("#cboPeriodo option:selected").val();
		
		if($("#cboPeriodo option:selected").val() != "[SELECCIONE]"){
				$("#btnConfirmar").css('display','block');
		}else{
				$("#btnConfirmar").css('display','none');
		}
	
		//console.log(codPer);
		//console.log(codigoDocente); 
		$.ajax({
			url: '../ServletHorario?Accion=verHorarioDocentePeriodo',
			type: 'POST',
			dataType: "json",
			data: {
				codigoPeriodo: codPer,
				codigoProfesor: codigoDocente
			},
			success: function (response, textStatus, jqXHR) {
				$("#tabla").show();
				$("#btnVerHorario").hide();
				$('.alert').hide()
				
				console.log(response.data);
				let array = response.data;
				let diaM = [];
				let diaT = [];
				let aulaM = [];
				let aulaT = [];




				let arrayAulas = response.data[0].arrayAulas;
				array.forEach(function (value, index) {

					if (value.disponibilidad != undefined) {

						let nombre = value.nombre;
						let correo = value.correo;
						let celular = value.celular;
						let direccion = value.direccion;
						let distrito = value.distrito;
						$("#docente").text(nombre);
						$("#correo").text(correo);
						$("#celular").text(celular);
						$("#direccion").text(direccion);
						$("#distrito").text(distrito);
						let disponibilidad = value.disponibilidad.split("-");

						disponibilidad.forEach(function (value, index) {
							let turno = value.split("#")[0];
							let dia = value.split("#")[1];
							if (turno == "1") {
								diaM.push(dia);
							} else if (turno == "2") {
								diaT.push(dia);
							}

//							console.log("diaM: "+ diaM)
//							console.log("diaT: "+diaT)




						});
						if (arrayAulas === 0) {
							console.log("array aulas vacio");
						} else {
							arrayAulas.forEach(function (obj, index) {
								let turnoAula = obj.turno;

								if (obj.turno == "1") {
									aulaM.push(obj);
								} else if (obj.turno == "2") {
									aulaT.push(obj);
								}
//									console.log(aulaM);
//									console.log(aulaT);

							});

						}
						let HTMLDOM = "<td>M</td>";
//							$("#trM").html(`<td>M</td>`);
//						



						//PINTADO MAÑANA 
						for (let i = 0; i < 6; i++) {

//							  var x="background-color: #585858;"
//								
//							  diaM.forEach(function(value,index){
//									if (value == i+1){
//										x="";
//									}
//								});
							let horaM = "";
							aulaM.forEach(function (obj, index) {

								if (obj.dia == i + 1) {
									horaM += `${obj.sede} | ${obj.aulas}<br></br>`;
									horaM +=`  <input id='checking'  type='checkbox' checked style='margin-left:70px' value='${'1'}#${obj.dia}'>`;
//									horaM +=` NO <input type='radio' style='margin:13px 9px' id='radioNo'/>`;
								}
//									
							});

							HTMLDOM += `<td class='celdas'>${horaM}</td>`;
//							


						}


						$("#trM").html(HTMLDOM);

						HTMLDOM = "<td>T</td>";

						// PINTADO tarde
						for (let i = 0; i < 6; i++) {

							let horaT = "";
							aulaT.forEach(function (obj, index) {

								if (obj.dia == i + 1) {
									horaT += `${obj.sede} | ${obj.aulas}<br></br>`;
									horaT +=`  <input id='checking' type='checkbox' checked style='margin-left:70px' value='${'2'}#${obj.dia}'>`;
								}
//									
							});
							HTMLDOM += `<td>${horaT}</td>`;

						}

						$("#trT").html(HTMLDOM);



					} else {
						
				    $("#tabla").hide();
						$('.alert').show();
							
							
			

					}

				});




			}

		});
		//AQUII

	});



});

